Subject: [TLS] Re: Status of ML-KEM WGLC
From: Eric Rescorla <[email-masked]>
To: Filippo Valsorda <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Mar 2026 15:06:38 -0700
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

On Sun, Mar 22, 2026 at 2:56 PM Filippo Valsorda <[email-masked]>
wrote:

> 2026-03-22 22:23 GMT+01:00 Muhammad Usama Sardar <
> [email-masked]>:
>
> Hi Joe and Sean,
>
> I have the same concern as Stephen. Please precisely specify the binary
> outcome of the WGLC.
>
> Moreover, please add the following to the list:
>
>    - Bring an attestation of ML-KEM from Crypto Review Panel [0] of CFRG
>
>
> I’m sorry, what is a Crypto Review Panel “attestation,” what is it
> expected to bring over the multi-year, international NIST competition, and
> why would an IRTF opinion be blocking for an IETF document?
>

FWIW, I agree with you in the specific case of ML-KEM.

To the broader question, I think that the IETF should avoid adopting
algorithms
that haven't seen a sufficient level of vetting. This could be provided by
CFRG
or, as you observe, by a multi-year international NIST competition.

-Ekr